<?php
/**
 * fonctions.php, contient toutes les fonctions nécessaires pour le site (est intégré d'office dans le header.php)
 * 
 * Natier Guillaume, 21.02.2020
 */

 /**
  * Configuration
  */
    error_reporting(E_ALL ^ (E_NOTICE | E_WARNING)); // Rapporte toutes les erreurs à part les E_NOTICE ou les E_WARNING
    //Mes constantes de configuration
    $MON_TMP_COOKIE = 120; //temps de validité du cookie (en secondes)
    $MON_EMAIL = "monmail@gmail.com";
    $MON_SITE = "localhost/esi/";
    $MON_FICHIER = "../../bdd.txt";
    $MON_MDP = "ok";
    $MON_FPDF = "dist/fpdf/fpdf.php";
    //$MON_FPDF = "../fonction/tierce/fpdf/fpdf.php";

/**
 * Permet d'ouvrir un fichier correctement ou affiche une erreur
 */
function ouvertureFichier($nom, $type){
    if (file_exists($nom))
        return fopen($nom, $type); // le fichier existe, on l'ouvre
    else{ // le fichier n'existe pas
        echo '<div class="alert alert-primary" role="alert">Fichier '.$nom.' introuvable, en '.$type.' ou vide !<br>Importation stoppée.</div>';
        return -1;
    }
}
/**
 * On utilise une fonction pour faire le listing du fichier
 */

function listing($monFichier){
    $fp = ouvertureFichier($monFichier, "r");
    if( $fp == -1)
        return -1;
    //Ouverture d'une card Bootstrap ?>
    <div class="card">
    <?php //Ouverture du tableau pour afficher les données du fichier: ?>
    <table class="table table-sm">
        <thead>
            <tr>
                <th scope="col">#</th>
                <th scope="col">Nom</th>
                <th scope="col">@</th>
                <th scope="col">Domaine</th>
            </tr>
        </thead>
        <tbody>
    <?php
    $j=0;
    for ($i=1; !feof($fp); $i++){ // On parcours le fichier
        $ligne = fgets($fp,4096); // On se déplace d'une ligne
        if($ligne!="\n"){
            $liste = explode("|",$ligne); // Champs séparés par |, on en fait un tableau
            //Puis on récupère les données du tableau
            $nom = $liste[0];
            $email = $liste[1];
            $domaine = $liste[2];
            ?>
            <tr>
                <th scope="row"><?php echo $i-$j; ?></th>
                <td><?php echo $nom; ?></td>
                <td><?php echo $email; ?></td>
                <td><?php echo $domaine; ?></td>
            </tr>
            <?php
        }
        else // Si on skip une ligne, on ne la compte pas
            $j++;
    }
        //fermeture du tableau ?>
        </tbody>
    </table>
    <?php
    fclose($fp); // Fermeture du fichier
    //Fermeture de la card ?>
    </div>
<?php
}
/**
 * Permet d'envoyer un email à tous les inscrits aux site (du fichier bdd.txt)
 */
function mailling($monFichier, $objet="Mon objet du mail", $message){

    $fp = ouvertureFichier($monFichier, "r");
    if( $fp == -1)
        return -1;

    // Envoi du mail
    while (!feof($fp)){ // On parcours le fichier
        $ligne = fgets($fp,4096); // On se déplace d'une ligne en la recopiant dans la variable
        if($ligne!="\n"){
            $liste = explode("|",$ligne); // Champs séparés par |, on en fait un tableau
            $nom = $liste[0];
            $email = $liste[1];
            $messageTmp = " Mme/M. $nom,"; // afin d'avoir un message personnalisé
            $messageTmp .= $message;
            //if(mail($email, $objet, $messageTmp))
                echo "<div class='alert alert-success' role='alert'><strong>Email envoyé</strong> à $email - $objet<hr />$messageTmp</div>";
            //else
                //echo "<div class='alert alert-danger' role='alert'><strong>Erreure lors de l'envoie de l'email</strong> à $email - $objet<hr />$message</div>";
        }
    }
    return fclose($fp); // Fermeture du fichier
}
/**
 * Vérifie si la personne à rentré le bon mot de passe, par la méthode $_POST
 */
function estAutorise($mdp, $message=false){

    if (isset($_POST) AND isset($_POST['motdepasse'])){
        if($_POST['motdepasse'] == $mdp){
            if($message)
                echo '<div class="alert alert-success" role="alert"><h1>Bon mot de passe</h1></div>';
            return 0;
        }
        else{
            if($message)
                echo '<div class="alert alert-danger" role="alert"><h5>Mauvais mot de passe</h5><hr />Veuillez réessayer</div>';
            return 1;
        }
    }
    return -1;  
}
/**
 * Permet d'afficher une liste déroulante de nombre de 0 à $nbOption -1,
 * avec une idée sépcifique pour pouvoir reprendre la valeur 
 * et permet de sélectionner automatiquement une valeur : $selected
 */
function imprimeSelect($id, $nbOptions, $selected){
    echo '<select class="form-control" id="'.$id.'" name="'.$id.'">';
    for($i=0; $i<$nbOptions; $i++){
        if($i == $selected)
            echo '<option selected value="'.($i).'">'.($i).'</option>';
        else
            echo '<option value="'.($i).'">'.($i).'</option>';
    }
    echo'</select>';
}
/* Utilisation en HTML:
    <?php $id = "monId01"; ?>
    <span class="form-group">
    <label for="<?php echo $id; ?>">Example select</label>
    <?php imprimeSelect($id, 7, $selected); ?>
    </span>
*/
?>
