<?php 
/**
 * Page permettant d'afficher un graphique en mode radar à l'aide de la librairie Chartjs
 * 
 * Natier Guillaume, 21.02.2020
 */
require_once 'header.php';

if (empty($_POST))
    $dataGraph = array('3', '4', '6', '2', '4', '3', '5', '4');
else
    $dataGraph = array($_POST['modGen'], $_POST['relForm'], $_POST['condMat'], $_POST['qualGlob'], $_POST['objMod'], $_POST['evalExam'], $_POST['modPost'], $_POST['stagMod']);

?>
    <h1>Evaluation d'un module de formation</h1>
    <h3>A. Sur chaque axe, pointez la note que vous attribuez à chaque critère, selon les critères ci-dessous :</h3>
    <div class="container">
        <div class="row">
            <div class="col-11 col-md-5 col-lg-3 mx-2">(1) Je ne suis pas du tout satisfait(e)</div>
            <div class="col-11 col-md-5 col-lg-3 mx-2">(2) Je suis peu satisfait(e)</div>
            <div class="col-11 col-md-5 col-lg-3 mx-2">(3) Je suis moyennement satisfait(e)</div>
            <div class="col-11 col-md-5 col-lg-3 mx-2">(4) Je suis plutôt satisfait(e)</div>
            <div class="col-11 col-md-5 col-lg-3 mx-2">(5) Je suis satisfait(e)</div>
            <div class="col-11 col-md-5 col-lg-3 mx-2">(6) Je suis tout à fait satisfait(e)</div>
        </div>
    </div>
    <hr />
    <form action="graph.php" method="POST">
    <div class="container">
        <div class="row">
                <div class="form-group row mx-2 col-11 col-md-5 col-lg-3">
                    <?php $id = "modGen"; ?>
                    <label for="<?php echo $id; ?>">Module général</label>
                    <?php imprimeSelect($id, 7, $dataGraph[0]); ?>

                </div> 
                <div class="form-group row mx-2 col-11 col-md-5 col-lg-3">
                    <?php $id = "relForm"; ?>
                    <label for="<?php echo $id; ?>">Relations avec le formateur</label>
                    <?php imprimeSelect($id, 7, $dataGraph[1]); ?>
                </div>
                <div class="form-group row mx-2 col-11 col-md-5 col-lg-3">
                    <?php $id = "condMat"; ?>
                    <label for="<?php echo $id; ?>">Conditions matérielles, moyens et supports du module</label>
                    <?php imprimeSelect($id, 7, $dataGraph[2]); ?>
                </div>
                <div class="form-group row mx-2 col-11 col-md-5 col-lg-3">
                    <?php $id = "qualGlob"; ?>
                    <label for="<?php echo $id; ?>">Qualité globale du formateur</label>
                    <?php imprimeSelect($id, 7, $dataGraph[3]); ?>
                </div>
                <div class="form-group row mx-2 col-11 col-md-5 col-lg-3">
                    <?php $id = "objMod"; ?>
                    <label for="<?php echo $id; ?>">Cohérence entre objectis et module</label>
                    <?php imprimeSelect($id, 7, $dataGraph[4]); ?>
                </div>
                <div class="form-group row mx-2 col-11 col-md-5 col-lg-3">
                    <?php $id = "evalExam"; ?>
                    <label for="<?php echo $id; ?>">Qualité des évaluations et examens</label>
                    <?php imprimeSelect($id, 7, $dataGraph[5]); ?>
                </div>
                <div class="form-group row mx-2 col-11 col-md-5 col-lg-3">
                    <?php $id = "modPost"; ?>
                    <label for="<?php echo $id; ?>">Efficacité du module par rapport au poste</label>
                    <?php imprimeSelect($id, 7, $dataGraph[6]); ?>
                </div>
                <div class="form-group row mx-2 col-11 col-md-5 col-lg-3">
                    <?php $id = "stagMod"; ?>
                    <label for="<?php echo $id; ?>">Cohérence entre les attentes du stagiaire et le module</label>
                    <?php imprimeSelect($id, 7, $dataGraph[7]); ?>
                </div>
         </div>
         <button type="submit" class="btn btn-primary mt-3 text-align-right">Tester</button>
    </div>
    </form>
    <hr />
    <div class="alert alert-light" role="alert" style="width:1000px;">

        <canvas id="graph1"></canvas>
    </div>
    <div class="alert alert-secondary">Plus d'informations sur <a href="https://www.chartjs.org/"  target="_blank">Chartjs</a></div>


<?php require_once 'footer.php'; ?>

<script>
var ctx = document.getElementById('graph1').getContext('2d');
var chart = new Chart(ctx, {
    // The type of chart we want to create
    type: 'radar',

    // The data for our dataset
    data: {
        //labels: ['Module général', 'Relations avec le formateur', 'Conditions matérielles, moyens\n et supports du module', 'Qualité globale du formateur', 'Cohérence entre\nobjectis et module', 'Qualité des évaluations et examens', 'Efficacité du module par<br />rapport au poste', 'Cohérence entre les attentes\\ndu stagiaire et le module'],
        labels: ['Module général', 'Relations / formateur', 'Matérielles/Moyens/Supports', 'Qualité du formateur', 'Objectis/Module', 'Evaluations/Examens', 'Efficacité Module/Poste', 'Vos attentes/module'],
        datasets: [{
            label: '',//'Evaluation d\'un module de formation',
            backgroundColor: 'rgb(204, 229, 255, 0.4)',
            borderColor: 'rgb(184, 218, 255)',
            data: [<?php echo $dataGraph[0]; ?>,<?php echo $dataGraph[1]; ?>,<?php echo $dataGraph[2]; ?>,<?php echo $dataGraph[3]; ?>,<?php echo $dataGraph[4]; ?>,<?php echo $dataGraph[5]; ?>,<?php echo $dataGraph[6]; ?>,<?php echo $dataGraph[7]; ?>]
        }]
    },

    // Configuration options go here
    options: {
        title: {
            display: false
        },
        responsive: true,
        scale: {
            angleLines: {
                display: false
            },
            ticks: {
                suggestedMin: 0,
                suggestedMax: 6
            }
        },
        legend:{
            display: false,
        }
    }
});
</script>