<?php
/**
 * header.php à intégrer sur chaque page, en début. Contient le menu de toutes les pages.
 * 
 * Natier Guillaume, 21.02.2020
 */
    require_once 'fonctions.php';

?>
<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" href="style.css" />
    <title>Exercices ESI 2020</title>
    <!-- Inclusion de JQuery avant celui de Bootstrap -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <!-- Inclusion de Bootstrap CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <script src="dist/Chart.bundle.js"></script>

    <script type="text/javascript">
        function Message(msg) {
            console.log(msg)
            alert(msg)
        }
    </script>

    <script>
    // Scripts JQuery:
    $(document).ready(function(){
        // Hide displayed paragraphs with different speeds
        $(".hide-btn").click(function(){
            $("p.normal").hide();
            $("p.fast").hide("fast");
            $("p.slow").hide("slow");
            $("p.very-fast").hide(50);
            $("p.very-slow").hide(2000);
        });
        
        // Show hidden paragraphs with different speeds
        $(".show-btn").click(function(){
            $("p.normal").show();
            $("p.fast").show("fast");
            $("p.slow").show("slow");
            $("p.very-fast").show(50);
            $("p.very-slow").show(2000);
        });
        $("#hide").click(function(){
            $("p.exo1").hide();
        });
        $("#show").click(function(){
            $("p.exo1").show();
        });

    });
    </script>
</head>
<body>

    <!-- Navbar Bootstrap -->
    <nav class="navbar navbar-expand-lg navbar-dark bg-primary">
        <a class="navbar-brand" href="index.php">PHP</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>

        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav mr-auto">
            <li class="nav-item">
                <a class="nav-link" href="inscription.php">Inscription<span class="sr-only"></span></a>
            </li>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                Cookie
                </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="mdp.php">Mot de passe</a>
                    <div class="dropdown-divider"></div>
                        <a class="dropdown-item" href="listing.php">Listing</a>
                        <a class="dropdown-item" href="mailling.php">Mailling liste</a>
                </div>
            </li>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                Session
                </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                <a class="dropdown-item" href="mdpSession.php">Mot de passe</a>
                    <div class="dropdown-divider"></div>
                        <a class="dropdown-item" href="listingSession.php">Listing</a>
                        <a class="dropdown-item" href="maillingSession.php">Mailling liste</a>
                </div>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="graph.php">Graph</a>
            </li>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">PDF</a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="pdf01.php" target="_blank">PDF01</a>
                    <a class="dropdown-item" href="pdf02.php" target="_blank">PDF02</a>
                </div>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="JQuery.php">JQuery</a>
            </li>
            </ul>
        </div>
    </nav>

<?php //Ouverture du conteneur Bootstrap ?>
<div class="container mt-3 page-wrap">
    <div class="row justify-content-center">
        <div class="col-12">
