<?php
/**
 * index.php page d'accueil du site.
 * 
 * Natier Guillaume, 21.02.2020
 */
    session_start(); // Pour pouvoir tester les sessions.
    require_once 'header.php';
?>

<div class="container mt-3">
    <div class="row">
        <div class="col-12 col-md-8">
            <div class="jumbotron">
                <h1 class="display-4">Bienvenue,</h1> nous sommes le <?php echo date("d-m-Y"); ?>,<br /><br />
                <p class="lead">
                    Ce site à été créé pour répondre aux exercices de deuxième année à l'<a href="http://www.esi-metz.fr/" target="_blank">Ecole Supérieure d'Informatique de Metz</a>.
                </p>
                <hr class="my-4">
                <p>
                    Veuillez trouver les ressources nécessaires sur le <a href="http://jmst.tech/" target="_blank">site de M. STEINMETZ</a>.
                </p>
                <hr class="my-4">
                    <p>Et mes sources à télécharger <a href="http://warzy.fr/esi/sources.zip" target="_blank">ici</a>.</p>
                    <p class="font-italic alert alert-warning" role="alert">remarque 1 : avec la configuration actuelle (voir le fichier "fonctions.php"), le fichier "bdd.txt" doit être dans le répertoire ../../ au même niveau que le www et donc inaccessible par le web.</p>
                    <p class="font-italic alert alert-warning" role="alert">remarque 2 : et de la même manière je vous laisse découvrir le mot de passe pour accèder aux listing et mailling (la fonction mail est simulée pour éviter les abus).</p>
                
            </div>
        </div>

        <div class="col-12 col-md-4">
            <div class="text-right alert alert-primary text-primary">
                <h4>Infos PHP :</h4>
                <hr>
                <p>
                <?php
                    // Test sur $_COOKIE
                    if(isset($_COOKIE) AND isset($_COOKIE['acces']))
                        echo '<span class="badge badge-pill badge-success">COOKIE : <span class="badge badge-light">'.$_COOKIE["acces"].'</span></span>';
                    else
                        echo '<span class="badge badge-pill badge-danger">COOKIE</span>';           
                ?>
                </p>
                <p>
                <?php
                    // Test sur $_SESSION
                    if(isset($_SESSION) AND isset($_SESSION['acces']))
                        echo '<span class="badge badge-pill badge-success">SESSION : <span class="badge badge-light">'.$_SESSION['acces'].'</span></span>';
                    else
                        echo '<span class="badge badge-pill badge-danger">SESSION</span>';                 
                ?>
                </p>
                <hr />
                <span class="font-italic text-primary">Ici les boutons changent de couleur en fonction de l'état des variables $_POST et $_SESSION.</span>
            </div>
        </div>
    </div>
</div>

<div class="container text-center mb-3">
    <button  type="button" class="btn btn-success" onclick="beep(100, 520, 200); Message('BEEP !');">Beep</button>
    <button type="button" class="btn btn-danger" onclick="beep(999,220, 300); Message('BOOP !');">Boop</button>
    <button type="button" class="btn btn-secondary" onclick="beep(999,210, 800); beep(999, 500, 800);">Cool noise</button>
</div>


<script type="text/javascript">
        a=new AudioContext()
        function beep(vol, freq, duration){
            v=a.createOscillator()
            u=a.createGain()
            v.connect(u)
            v.frequency.value=freq
            v.type="square"
            u.connect(a.destination)
            u.gain.value=vol*0.01
            v.start(a.currentTime)
            v.stop(a.currentTime+duration*0.001)
        }
</script>
    
<?php
    require_once 'footer.php';
?>