<?php
/**
 * inscription.php, permet d'inscrire un nouvel utilisateur dans le fichier $MON_FICHIER
 * 
 * Natier Guillaume, 21.02.2020
 */

require_once 'header.php';

if(empty($_POST)){ //Si on n'a pas validé le formulaire, on l'affiche
    ?>
    <div class="card">
        <div class="card-body">
            <h5 class="card-title">Inscription</h5>
            <h6 class="card-subtitle mb-2 text-muted">nouveau membre</h6>
            <p class="card-text">


                <form method="post" action="inscription.php" name="internet">
                    <div class="form-group">

                        <div class="input-group input-group-sm mb-2">
                            <div class="input-group-prepend">
                                <span class="input-group-text" id="basic-addon1">Prénom</span>
                            </div>
                            <input type="text" class="form-control" placeholder="Votre prénom" name="prenom" required>
                        </div>
                        <div class="input-group input-group-sm mb-2">
                            <div class="input-group-prepend">
                                <span class="input-group-text" id="basic-addon1">@</span>
                            </div>
                            <input type="email" class="form-control" placeholder="Votre email" name="email" required>
                        </div>


                        <h6>Dans quel domaine aimeriez-vous travailler ?</h6>
                        <div class="form-check">
                            <input class="form-check-input" type="radio" name="domaine" id="dom1" value="Développement web">
                            <label class="form-check-label" for="dom1">
                                Développement web
                            </label>
                        </div>
                        <div class="form-check">
                            <input class="form-check-input" type="radio" name="domaine" id="dom2" value="Codage d'application">
                            <label class="form-check-label" for="dom2">
                                Codage d'application
                            </label>
                        </div>
                        <div class="form-check disabled">
                            <input class="form-check-input" type="radio" name="domaine" id="dom3" value="Développement pour mobile">
                            <label class="form-check-label" for="dom3">
                                Développement pour mobile
                            </label>
                        </div>
                        <div class="form-check disabled">
                            <input class="form-check-input" type="radio" name="domaine" id="dom4" value="Autre" checked>
                            <label class="form-check-label" for="dom4">
                                Autre
                            </label>
                        </div>
                    </p>
                    <button type="submit" class="btn btn-primary mb-2">Valider</button>
                    <button type="reset" class="btn btn-secondary mb-2">Effacer</button>
                </div>
            </form>
            
        </div>

    </div>
    <?php        
}
else {  // On a validé le formulaire, on peut enregistrer et envoyer un mail

    //Récapitulatif
    $prenom = $_POST['prenom'];
    $email = $_POST['email'];
    $domaine = $_POST['domaine'];

    echo "<p>Enregistrement de l'utilisateur <strong>$prenom</strong> ayant comme email : <strong>$email</strong> et comme domaine de travail : <strong>$domaine</strong> - ";

    //Enregistrement dans le fichier
    $fp = fopen("$MON_FICHIER","a");
    if(fputs($fp, "\n".$prenom."|".$email."|".$domaine))
        echo '<span class="badge badge-success">Enregistré : '.$MON_FICHIER.'</span></p><hr />';
    else
        echo '<span class="badge badge-danger">Erreur : '.$MON_FICHIER.'</span></p><hr />';
    fclose($fp);


    // email
    // Le message
    $message = "Un nouvel utilisateur, $prenom s’est enregistré :\n";
    $message .= "- email : $email sur $MON_SITE\n";
    $message .= "- domaine : $domaine\n";
    // Envoi du mail
    //if(mail($MON_EMAIL, "Nouvel utilisasteur sur $MON_SITE", $message)){
    if(true){ //désactive l'envoie de mail
           ?>
        <div class="alert alert-success" role="alert">
            <h4 class="alert-heading">Email envoyé à <strong><?php echo $MON_EMAIL ?></strong> :</h4>
            <p>Nouvel utilisasteur sur <strong><?php echo $MON_SITE ?></strong></p>
            <hr>
            <p class="mb-0"><?php echo $message ?> </p>
        </div>
        <?php
    }
    else{
        ?>
        <div class="alert alert-danger" role="alert">
            <h4 class="alert-heading">Echec lors de l'envoi à <strong><?php echo $MON_EMAIL ?></strong> :</h4>
            <p>Nouvel utilisasteur sur <strong><?php echo $MON_SITE ?></strong></p>
            <hr>
            <p class="mb-0"><?php echo $message ?> </p>
        </div>
        <?php
    }

    // Le message
    $message = "Bienvenue, $prenom sur notre site $MON_SITE\n\n";
    $message .= "votre email est $email et vous avez choisi $domaine comme domaine.";
    // Envoi du mail
    //if(mail($email, "Bienvenue sur $MON_SITE", $message)){
    if(true){ //désactive l'envoie de mail
            ?>
        <div class="alert alert-success" role="alert">
            <h4 class="alert-heading">Email envoyé à <strong><?php echo $MON_EMAIL ?></strong> :</h4>
            <p>Nouvel utilisasteur sur <strong><?php echo $MON_SITE ?></strong></p>
            <hr>
            <p class="mb-0"><?php echo $message ?> </p>
        </div>
        <?php
    }
    else{
        ?>
        <div class="alert alert-danger" role="alert">
            <h4 class="alert-heading">Echec lors de l'envoi à <strong><?php echo $email; ?></strong> :</h4>
            <p>Nouvel utilisasteur sur <strong><?php echo $MON_SITE; ?></strong></p>
            <hr>
            <p class="mb-0"><?php echo $message ?> </p>
        </div>
        <?php
    }
}

require_once 'footer.php';
?>