<?php
/**
 * pdf02.php créé un pdf avec les consignes du deusième exercice.
 * 
 * Natier Guillaume, 21.02.2020
 */
require_once "fonctions.php";
require_once $MON_FPDF;

class PDF extends FPDF
{
function Header()
{
    global $titre;

    // Arial gras 20
    $this->SetFont('Arial','B',20);
    // Calcul de la largeur du titre et positionnement
    $w = $this->GetStringWidth($titre)+80;
    $this->SetX((210-$w)/2);
    // Couleurs du cadre, du fond et du texte
    $this->SetDrawColor(255,255,255,0);
    $this->SetFillColor(255,255,255,0);
    $this->SetTextColor(0,0,0);
    // Epaisseur du cadre (1 mm)
    $this->SetLineWidth(0);
    // Saut de ligne
    $this->Ln(4);
    // Titre
    $this->Cell($w,10,$titre,0,1,'C',true);
    // Saut de ligne
    $this->Ln(2);
}

function Footer()
{
    // Positionnement à 1,5 cm du bas
    $this->SetY(-15);
    // Arial italique 10
    $this->SetFont('Arial','B',10);
    // Couleur du texte en noir
    $this->SetTextColor(255);
}

function TitreChapitre($libelle)
{
    // Arial 12
    $this->SetFont('Arial','',12);
    // Couleur de fond
    $this->SetFillColor(255,255,255,0);
    // Titre
    $this->Cell(203,8,$libelle,0,1,'C',true);
    // Saut de ligne
    $this->Ln(6);
}

function CorpsChapitre($fichier)
{
    // Lecture du fichier texte
    $txt = utf8_decode(file_get_contents($fichier));
    // Arial 12
    $this->SetFont('Arial','',12);
    // Sortie du texte justifié
    $this->MultiCell(0,5,$txt);
    // Saut de ligne
    $this->Ln();
}

function CorpsChapitreType2($fichier)
{
    // Lecture du fichier texte
    $txt = utf8_decode(file_get_contents($fichier));
    // Arial 10
    $this->SetFont('Arial','',10);
    // Sortie du texte justifié
    $this->MultiCell(0,4,$txt);
    // Saut de ligne
    $this->Ln();
}

function AjouterChapitre($titre, $fichier)
{
    $this->AddPage();
    $this->TitreChapitre($titre);
    $this->CorpsChapitre($fichier);
}
}
$pdf = new PDF();
$titre = 'Evaluation d\'un module de formation';
$pdf->SetTitle($titre);
$pdf->SetAuthor('ESI Metz');
$titre3 = 'TECHNICIEN INFRASTRUCTURE INFORMATIQUE ET SECURITE';

$txt_a_pdf = '20k_c3.txt';

$pdf->AjouterChapitre($titre3, $txt_a_pdf);
$txt_a_pdf = '20k_c4.txt';
$pdf->CorpsChapitreType2($txt_a_pdf);
$txt_a_pdf = '20k_c5.txt';
$pdf->CorpsChapitreType2($txt_a_pdf);
$txt_a_pdf = '20k_c6.txt';
$pdf->SetY(-80);
$txt2 = utf8_decode(file_get_contents($txt_a_pdf));
$pdf->MultiCell(0,4,$txt2,1);

// Logo
$pdf->Image('img/ESI-logo.png',8,5,30);
ob_end_clean();
$pdf->Output();
?>